-- by modelleicher
-- www.schwabenmodding.bplaced.net
-- Version 1

FillTypeMassAdjustment = {};

function FillTypeMassAdjustment:loadMap(name)
	print("FillType Mass Adjustment Mod by modelleicher loaded");

	-- multiplier, all fruit mass values will be multiplied by that. Values above 1 increase the mass, values below 1 decrease it.
	multiplier = 0.01; -- Hier verändern, Wert von 1 = normale LS Werte, über 1 = schwerer (2 = 100% = etwa real) Werte unter 1, z.b. 0.1 dann nur ein Zehntel des normalen LS Werts usw.
	
	-- change fruitType mass values:
	for k, v in pairs(FruitUtil.fruitTypes) do
		FruitUtil.fruitTypes[k].massPerLiter = FruitUtil.fruitTypes[k].massPerLiter * multiplier;
	end;
	-- change fillType mass values:
	for k, v in pairs(Fillable.fillTypeNameToDesc) do
		Fillable.fillTypeNameToDesc[k].massPerLiter = Fillable.fillTypeNameToDesc[k].massPerLiter * multiplier
		
	end;
	
end;
function FillTypeMassAdjustment:keyEvent(unicode, sym, modifier, isDown)
end;
function FillTypeMassAdjustment:update(dt)
end;
function FillTypeMassAdjustment:draw()
end;
function FillTypeMassAdjustment:deleteMap()
end;
function FillTypeMassAdjustment:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(FillTypeMassAdjustment);







